bcr_test_module:
  module_path: ""
  matrix:
    platform:
      - debian10
      - ubuntu2004
      - macos
      - windows
    bazel: [7.x, 8.x, 9.x]
  tasks:
    run_tests:
      name: "Run tests"
      platform: ${{ platform }}
      bazel: ${{ bazel }}
      build_targets:
        - "//verilog/private/tests:all"
      test_targets:
        - "//verilog/private/tests:all"
